### Hierarchy

- UploadPayload

## Index

### Properties

- file
- handle
- location_region
- location_url
- parts
- region
- upload_id
- uri

## Properties

### file

file: File

- Defined in lib/api/upload/uploaders/s3.ts:40

### Optional handle

handle: string

- Defined in lib/api/upload/uploaders/s3.ts:42

### Optional location_region

location_region: string

- Defined in lib/api/upload/uploaders/s3.ts:47

### Optional location_url

location_url: string

- Defined in lib/api/upload/uploaders/s3.ts:46

### parts

parts: UploadPart[]

- Defined in lib/api/upload/uploaders/s3.ts:41

### Optional region

region: string

- Defined in lib/api/upload/uploaders/s3.ts:44

### Optional upload_id

upload_id: number

- Defined in lib/api/upload/uploaders/s3.ts:45

### Optional uri

uri: string

- Defined in lib/api/upload/uploaders/s3.ts:43